<?php
/**
 * @version     1.7.3
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2019 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die;

use Joomla\Registry\Registry;

/** @var SellaciousViewOrder $this */
JHtml::_('behavior.framework');
JHtml::_('jquery.framework');

JHtml::_('script', 'media/com_sellacious/js/plugin/serialize-object/jquery.serialize-object.min.js', false, false);
JHtml::_('script', 'com_sellacious/fe.view.order.payment.js', true, true);

JHtml::_('stylesheet', 'com_sellacious/font-awesome.min.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/fe.component.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/fe.view.cart.aio.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/fe.view.order.payment.css', null, true);

$order = new Registry($this->item);
$items = $order->get('items');
$dispatcher = $this->helper->core->loadPlugins();

$hasShippingAddress = $this->helper->order->hasShippingAddress($order->get('id'));
$c_currency         = $this->helper->currency->current('code_3');
?>
<div class="ordersfieldset">
	<h3><?php echo JText::sprintf('COM_SELLACIOUS_ORDER_HEADING_PAYMENT', $order->get('order_number')) ?></h3>
	<div class="innerdetails">
		<div class="orderdetails row nomargin">
			<?php if ($hasShippingAddress): ?>
				<div class="col-sm-6 ">
					<div id="address-viewer">
						<div id="address-shipping-text">
							<div class="address_label"><?php echo JText::_('COM_SELLACIOUS_ORDER_SHIPPING_ADDRESS_LABEL'); ?></div>
							<div class="address-inner">
								<?php if ($order->get('st_name')): ?>
									<span class="address_name"><?php echo $order->get('st_name') ?></span>
								<?php endif; ?>

								<?php if ($order->get('st_mobile')): ?>
									<span class="address_mobile"><i class="fa fa-mobile-phone fa-lg"></i> <?php echo $order->get('st_mobile') ?></span>
								<?php endif; ?>

								<?php if ($order->get('st_address')): ?>
									<span class="address_address"><?php echo $order->get('st_address') ?>,</span>
								<?php endif; ?>

								<?php if ($order->get('st_landmark')): ?>
									<span class="address_landmark"><?php echo $order->get('st_landmark') ?>,</span>
								<?php endif; ?>

								<?php if ($order->get('st_district')): ?>
									<span class="address_district"><?php echo $order->get('st_district') ?></span>
								<?php endif; ?>

								<?php if ($order->get('st_state')): ?>
									<span class="address_state_loc"><?php echo $order->get('st_state') ?></span>
								<?php endif; ?>

								<?php if ($order->get('st_zip')): ?>
									- <span class="address_zip"><?php echo $order->get('st_zip') ?>,</span>
								<?php endif; ?>

								<?php if ($order->get('st_country')): ?>
									<span class="address_country"><?php echo $order->get('st_country') ?></span>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			<?php endif; ?>
			<div class="col-sm-6 <?php echo $hasShippingAddress ? '' : 'col-sm-push-3'; ?>">
				<div id="address-viewer">
					<div id="address-billing-text">
						<div class="address_label"><?php echo JText::_('COM_SELLACIOUS_ORDER_BILLING_ADDRESS_LABEL'); ?></div>
						<div class="address-inner">
							<?php if ($order->get('bt_name')): ?>
								<span class="address_name"><?php echo $order->get('bt_name') ?></span>
							<?php endif; ?>

							<?php if ($order->get('bt_mobile')): ?>
								<span class="address_mobile"><i class="fa fa-mobile-phone fa-lg"></i> <?php echo $order->get('bt_mobile') ?></span>
							<?php endif; ?>

							<?php if ($order->get('bt_address')): ?>
								<span class="address_address"><?php echo $order->get('bt_address') ?>,</span>
							<?php endif; ?>

							<?php if ($order->get('bt_landmark')): ?>
								<span class="address_landmark"><?php echo $order->get('bt_landmark') ?>,</span>
							<?php endif; ?>

							<?php if ($order->get('bt_district')): ?>
								<span class="address_district"><?php echo $order->get('bt_district') ?></span>
							<?php endif; ?>

							<?php if ($order->get('bt_state')): ?>
								<span class="address_state_loc"><?php echo $order->get('bt_state') ?></span>
							<?php endif; ?>

							<?php if ($order->get('bt_zip')): ?>
								- <span class="address_zip"><?php echo $order->get('bt_zip') ?>,</span>
							<?php endif; ?>

							<?php if ($order->get('bt_country')): ?>
								<span class="address_country"><?php echo $order->get('bt_country') ?></span>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php if (!empty($items)): ?>
	<div class="order-items displayitembox">
		<h3 class="headingdisplayitem"><?php echo JText::_('COM_SELLACIOUS_ORDER_HEADING_PRODUCT_DETAILS') ?></h3>

		<div class="orderitemsbody">
			<?php foreach ($items as $oi):
				$code = $this->helper->product->getCode($oi->product_id, $oi->variant_id, $oi->seller_uid);
				$p_url = JRoute::_('index.php?option=com_sellacious&view=product&p=' . $code);
				$title = trim(sprintf('%s - %s', $oi->product_title, $oi->variant_title), '- ');
				$images = $this->helper->product->getImages($oi->product_id, $oi->variant_id);
				$statuses = $this->helper->order->getStatusLog($oi->order_id, $oi->item_uid);
				$rows = count($oi->shoprules) + 1;
				?>

				<div class="row">
					<div class="col-xs-12 col-sm-7">
						<div class="cart-items">
							<div class="product_thumbnail">
								<a href="<?php echo $p_url ?>">
									<img src="<?php echo reset($images) ?>" alt="<?php echo $title ?>">
								</a>
							</div>
							<div class="orderinfos cart_product_info">
								<?php echo $oi->package_items ? JText::_('COM_SELLACIOUS_CART_PACKAGE_ITEM_LABEL') : ''; ?>
								<h3><a href="<?php echo $p_url ?>"><?php echo $this->escape($title) ?></a></h3>

								<?php if ($oi->package_items): ?>
									<hr class="simple">
									<ol class="package-items">
										<?php
										foreach ($oi->package_items as $pkg_item):
											$url = JRoute::_('index.php?option=com_sellacious&view=product&p=' . $pkg_item->code);
											$pk_title = trim(sprintf('%s - %s', $pkg_item->product_title, $pkg_item->variant_title), '- ');
											$pk_sku = trim(sprintf('%s-%s', $pkg_item->product_sku, $pkg_item->variant_sku), '- ')
											?>
											<li><a class="dark-link-off" href="<?php echo $url ?>"><?php echo $pk_title ?> (<?php echo $pk_sku ?>)</a></li><?php
										endforeach;
										?>
									</ol>
								<?php endif; ?>

								<div class="seller_info"><?php echo JText::sprintf('COM_SELLACIOUS_ORDER_PREFIX_ITEM_SELLER', $oi->seller_company) ?></div>
								<div class="quantity-box"><?php echo JText::plural('COM_SELLACIOUS_ORDER_PREFIX_ITEM_QUANTITY_N', $oi->quantity) ?></div>
								<div class="delivery">
									<?php
									$additionalInfo = array();
									$dispatcher->trigger('onRenderOrderItem', array('com_sellacious.order', $oi, &$additionalInfo));

									foreach ($additionalInfo as $info)
									{
										echo $info;
									}
									?>
								</div>
							</div>
						</div>
					</div>

					<div class="col-xs-12 col-sm-5">
						<div class="nowrap item-total">
							<?php if (abs($oi->shipping_amount) >= 0.01): ?>
								<div class="row">
									<div class="col-xxs-12 col-xs-6">
										<div class="totalamount md_right"><?php echo $this->helper->currency->display($oi->sub_total, $order->get('currency'), $c_currency, true); ?></div>
									</div>
									<div class="col-xxs-12 col-xs-6">
										<div class="shippingamount md_right">
											<?php echo JText::_('COM_SELLACIOUS_ORDER_ITEM_SHIPPING_AMOUNT_LABEL') ?>
											<span class="font-light"><?php echo $this->helper->currency->display($oi->shipping_amount, $order->get('currency'), $c_currency, true); ?></span>
										</div>
									</div>
								</div>
							<?php endif; ?>
							<div class="totalamount md_right"><?php echo $this->helper->currency->display($oi->sub_total, $order->get('currency'), $c_currency, true); ?></div>
						</div>
					</div>

					<?php if (!empty($oi->shoprules)):
						foreach ($oi->shoprules as $ri => $rule)
						{
							settype($rule, 'object');

							if ($rule->change != 0)
							{
								?>
								<div class="shoprule-info col-xxs-12 col-xs-12">
									<div class="row">
										<div class="col-xxs-12 col-xs-6">
											<h4><?php echo str_repeat('|&mdash;', $rule->level - 1) ?>
												<?php echo $this->escape($rule->title); ?>
												<small><?php echo JText::_('COM_SELLACIOUS_ORDER_SHOPRULE_INCLUSIVE_LABEL'); ?></small>
											</h4>
										</div>
										<div class="col-xxs-6 col-xs-3">
											<div class="rightside">
												<em>
													<?php
													$rule_base = $this->helper->currency->display($rule->input, $order->get('currency'), $c_currency, true);

													if ($rule->percent)
													{
														$change_value = number_format($rule->amount, 2);
														echo sprintf('@%s%% on %s', $change_value, $rule_base);
													}
													else
													{
														$change_value = $this->helper->currency->display($rule->amount, $order->get('currency'), $c_currency, true);
														echo sprintf('%s over %s', $change_value, $rule_base);
													}
													?>
												</em>
											</div>
										</div>
										<div class="col-xxs-6 col-xs-3">
											<div class="text-right nowrap">
												<?php $value = $this->helper->currency->display(abs($rule->change), $order->get('currency'), $c_currency, true);
												echo $rule->change >= 0 ? '<span class="text-danger">(+)</span> ' . $value : '<span class="text-success">(-)</span> ' . $value;
												?>
											</div>
										</div>
									</div>
								</div>
								<?php
							}
						}
					endif; ?>
				</div>
			<?php endforeach; ?>

			<div class="row nomargin">
				<div class="col-xs-9 col-sm-10 nopadd">
					<div class="rightside titleboxs"><?php echo JText::_('COM_SELLACIOUS_ORDERS_TOTAL_SHIPPING_AMOUNT') ?></div>
				</div>
				<div class="col-xs-3 col-sm-2 nopadd">
					<div class="text-right">
						<span class="text-danger"><?php echo $this->helper->currency->display($order->get('product_shipping'), $order->get('currency'), $c_currency, true) ?></span>
					</div>
				</div>
			</div>

		</div>

		<?php $oShoprules = $order->get('shoprules'); ?>
		<div class="ordersitemfootertop">
			<?php if (!empty($oShoprules)): ?>
				<div class="shopruleinfo">
					<?php
					foreach ($oShoprules as $rule)
					{
						if ($rule->change != 0)
						{
							?>
							<div class="row nomargin">
								<div class="col-xxs-12 col-xs-6 col-sm-8 nopadd">
									<div class="titleboxs">
										<?php echo str_repeat('|&mdash;', $rule->level - 1) ?>
										<?php echo $this->escape($rule->title); ?>
										(<small>
											<?php
											$rule_base = $this->helper->currency->display($rule->input, $order->get('currency'), $c_currency, true);

											if ($rule->percent)
											{
												$change_value = number_format($rule->amount, 2);
												echo sprintf('@%s%% on %s', $change_value, $rule_base);
											}
											else
											{
												$change_value = $this->helper->currency->display($rule->amount, $order->get('currency'), $c_currency, true);
												echo sprintf('%s over %s', $change_value, $rule_base);
											}
											?>
										</small>)
									</div>
								</div>
								<div class="col-xxs-6 col-xs-3 col-sm-2 nopadd">
									<div class="rightside nowrap">
										<?php $value = $this->helper->currency->display(abs($rule->change), $order->get('currency'), $c_currency, true);
										echo $rule->change >= 0 ? '<span class="text-danger">(+)</span> ' . $value : '<span class="text-success">(-)</span> ' . $value; ?>
									</div>
								</div>
								<div class="col-xxs-6 col-xs-3 col-sm-2 nopadd">
									<div class="text-right nowrap">
										<?php echo $this->helper->currency->display($rule->output, $order->get('currency'), $c_currency, true) ?>
									</div>
								</div>
							</div>
							<?php
						}
					}

					if (abs($order->get('cart_taxes') - 0.00) >= 0.01)
					{
						?>
						<div class="row nomargin">
							<div class="col-xs-9 col-sm-10 nopadd">
								<div class="rightside titleboxs"><?php echo JText::_('COM_SELLACIOUS_ORDER_CART_TAXES'); ?></div>
							</div>
							<div class="col-xs-3 col-sm-2 nopadd">
								<div class="text-right">
									<span class="text-danger"><?php echo $this->helper->currency->display($order->get('cart_taxes'), $order->get('currency'), $c_currency, true) ?></span>
								</div>
							</div>
						</div>
						<?php
					}

					if (abs($order->get('cart_discounts') - 0.00) >= 0.01)
					{
						?>
						<div class="row nomargin">
							<div class="col-xs-9 col-sm-10 nopadd">
								<div class="rightside titleboxs"><?php echo JText::_('COM_SELLACIOUS_ORDER_CART_DISCOUNTS'); ?></div>
							</div>
							<div class="col-xs-3 col-sm-2 nopadd">
								<div class="text-right">
									<span class="text-success"><?php echo $this->helper->currency->display($order->get('cart_discounts'), $order->get('currency'), $c_currency, true) ?></span>
								</div>
							</div>
						</div>
						<?php
					}

					if ($coupon = $order->get('coupon'))
					{
						?>
						<div class="row nomargin">
							<div class="col-xs-9 col-sm-10 nopadd">
								<div class="rightside titleboxs">
									<?php echo JText::_('COM_SELLACIOUS_ORDER_HEADING_COUPON'); ?>: <small>( <?php echo $this->escape($coupon->code) ?> )</small> :</div>
							</div>
							<div class="col-xs-3 col-sm-2 nopadd">
								<div class="text-right">
									<span class="text-success">(-) <?php echo $this->helper->currency->display($coupon->amount, $order->get('currency'), $c_currency, true) ?></span>
								</div>
							</div>
						</div>
						<?php
					}
					?>
				</div>
			<?php endif; ?>
		</div>
		<div class="ordersitemfooter">
			<h3 class="ordertotal"><?php echo JText::_('COM_SELLACIOUS_ORDER_HEADING_GRAND_TOTAL'); ?>: <span class="grandtotal strong"><?php
					echo $this->helper->currency->display($order->get('grand_total'), $order->get('currency'), $c_currency, true) ?></span></h3>
		</div>
	</div>


	<div id="payment-forms">
		<?php
		$options       = array('debug' => 0);
		$args          = new stdClass;
		$args->methods = $this->helper->paymentMethod->getMethods('cart', true, $order->get('customer_uid') ?: false, $order->get('id'));
		$html          = JLayoutHelper::render('com_sellacious.payment.forms', $args, '', $options);

		echo $html;
		?>
	</div>
<?php else: ?>
	<h5><em><?php echo JText::_('COM_SELLACIOUS_ORDER_NO_ITEM_MESSAGE'); ?></em></h5>
<?php endif; ?>

<input type="hidden" id="order_id" name="order_id" value="<?php echo $order->get('id') ?>"/>
<?php echo JHtml::_('form.token'); ?>
<div class="clearfix"></div>
