<?php
/**
 * @version     1.7.3
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2019 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die;

/** @var SellaciousViewProduct $this */
JHtml::_('behavior.framework');
JHtml::_('jquery.framework');
JHtml::_('script', 'com_sellacious/util.noframes.js', false, true);
JHtml::_('script', 'sellacious/util.anchor.js', false, true);

JHtml::_('bootstrap.tooltip', '.hasTooltip');

if ($this->helper->config->get('product_compare')):
	JHtml::_('script', 'com_sellacious/util.compare.js', false, true);
endif;

JHtml::_('script', 'com_sellacious/util.cart.aio.js', false, true);
JHtml::_('script', 'com_sellacious/fe.view.product.js', true, true);

// We may later decide not to use cart aio assets and separate the logic
JHtml::_('script', 'media/com_sellacious/js/plugin/select2-3.5/select2.js', false, false);
JHtml::_('stylesheet', 'media/com_sellacious/js/plugin/select2-3.5/select2.css', null, false);

JHtml::_('stylesheet', 'com_sellacious/font-awesome.min.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/fe.component.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/util.rating.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/fe.view.cart.aio.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/fe.view.product.css', null, true);

$item           = $this->item;
$allow_checkout = $this->helper->config->get('allow_checkout');
$cart_pages     = (array) $this->helper->config->get('product_add_to_cart_display');
$buynow_pages   = (array) $this->helper->config->get('product_buy_now_display');
$display_stock	= $this->helper->config->get('frontend_display_stock');
$c_currency     = $this->helper->currency->current('code_3');
$marketPlace    = $this->helper->config->get('multi_seller');
$path          = $this->get('_path');
$templatePaths = $path['template'];
$manufacturer_disp = (array) $this->helper->config->get('manufacturer_details_display');

$me           = JFactory::getUser();
$samplemedia  = $this->getSampleMedia();
$preview_url  = $this->item->get('preview_url');
$preview_mode = $this->item->get('preview_mode');
$manufacturer = $this->helper->manufacturer->getItem(array('user_id' => $item->get('manufacturer_id')));

if ($this->helper->config->get('mfg_link') == 'cats')
{
	$urlM = JRoute::_('index.php?option=com_sellacious&view=categories&parent_id=1&manufacturer_id=' . $item->get('manufacturer_id'));
}
elseif ($this->helper->config->get('mfg_link') == 'products')
{
	$urlM = JRoute::_('index.php?option=com_sellacious&view=products&manufacturer_id=' . $item->get('manufacturer_id'));
}
else
{
	$urlM = 'javascript:void(0)';
}

$reviewsUrl            = JRoute::_('index.php?option=com_sellacious&view=reviews&product_id=' . $item->get('id'));
$reviewForm            = $this->getReviewForm();
$this->isReviewAllowed = $reviewForm instanceof JForm && count($reviewForm->getFieldset());

JText::script("JSITE");
?>
<input type="hidden" name="<?php echo JSession::getFormToken() ?>" id="formToken" value="1"/>

<div class="product-single">
	<div class="sell-row">
		<div class="sell-col-md-5">
			<?php echo $this->loadTemplate('images'); ?>
			<div class="clearfix"></div>

			<?php if ($preview_url && $preview_mode): ?>
				<div class="preview_btn">
					<a href="<?php echo $preview_url; ?>" target="<?php echo $preview_mode; ?>" class="btn btn-primary">
						<?php echo JText::_('COM_SELLACIOUS_PRODUCT_EPRODUCT_PREVIEW_BTN'); ?>
					</a>
				</div>
			<?php endif; ?>
			<div class="clearfix"></div>
		</div>
		<div id="product-info" class="sell-col-md-7">
			<div class="maintitlearea">
				<?php if (in_array('product', (array) $this->helper->config->get('splcategory_badge_display')) && is_array($item->get('special_listings'))): ?>
					<div class="badge-area"><?php
						foreach ($item->get('special_listings') as $spl_cat):
							$badges = $this->helper->media->getImages('splcategories.badge', (int) $spl_cat->catid, false);
							if (count($badges)): ?>
								<img src="<?php echo reset($badges) ?>" class="spl-badge"/><?php
							endif;
						endforeach; ?>
					</div>
				<?php endif; ?>
				<h1><?php echo $item->get('title');
					echo $item->get('variant_title') ? ' - <small>' . $item->get('variant_title') . '</small>' : '';

					if ($item->get('stock_capacity') == 0) : ?>
						<span class="label label-danger outofstock"><i class="fa fa-times-circle" aria-hidden="true"></i> <?php echo JText::_('COM_SELLACIOUS_PRODUCT_OUT_OF_STOCK') ?></span>
					<?php endif; ?>
				</h1>
				<?php $rating_display = (array) $this->helper->config->get('product_rating_display'); ?>
				<?php if ($this->helper->config->get('product_rating') && (in_array('product', $rating_display))): ?>
					<?php $stars = round($item->get('rating.rating', 0) * 2); ?>
				<a href="<?php echo $reviewsUrl ?>">
					<div class="product-rate-info">
						<span class="rating-stars star-<?php echo $stars ?>">
							<a href="<?php echo $reviewsUrl ?>"><?php echo number_format($item->get('rating.rating', 0), 1) ?></a>
						</span>
						<?php if ($this->getReviewForm()): ?>
							<a href="javascript:void(0)" class="linkreview btn-review" data-item="<?php echo $item->get('code'); ?>"><?php echo JText::_('COM_SELLACIOUS_WRITE_A_REVIEW') ?></a>
						<?php endif; ?>
					</div>
				</a>
				<?php endif; ?>
			</div>

			<!-- BEGIN: seller/admin can directly jump to backend for edit -->
			<?php $actions = array('basic.own', 'seller.own', 'pricing.own', 'shipping.own', 'related.own', 'seo.own');

			if ($this->helper->access->check('product.edit') ||
				($this->helper->access->checkAny($actions, 'product.edit.', $item->get('id')) && $item->get('seller_uid') == $me->id)): ?>
				<?php $editUrl = JUri::root() . $this->helper->core->getAppPath() . '/index.php?option=com_sellacious&view=product&layout=edit&id=' . $item->get('id'); ?>
				<a target="_blank" class="btn btn-default edit-product" href="<?php echo $editUrl; ?>"><i
					class="fa fa-edit"></i> <?php echo JText::_('COM_SELLACIOUS_PRODUCT_LINK_BACKEND_EDIT'); ?></a>&nbsp;
			<?php endif; ?>
			<!-- END: seller/admin can directly jump to backend for edit -->
			<div class="clearfix"></div>

			<?php if ($manufacturer->id  && in_array('product', $manufacturer_disp)): ?>
				<div class="manufacturer-name">
					<a href="<?php echo $urlM ?>" class="hasTooltip" title="Manufacturer"><?php echo $manufacturer->title; ?></a>
				</div>
			<?php endif; ?>

			<div class="priceandoffer">
				<div class="sell-row">
					<div class="<?php echo (count($offers = $item->get('offers'))) ? 'sell-col-xs-7' : 'sell-col-xs-12'; ?>">
						<?php echo $this->loadTemplate('price'); ?>
					</div>

					<?php if (count($offers = $item->get('offers'))): ?>
						<div class="sell-col-xs-5">
							<div class="offer-info">
								<h4 class="offer-info-header">
									<?php echo JText::plural('COM_SELLACIOUS_PRODUCT_OFFER_COUNT_N', count($offers)) ?> | <?php echo JText::_('SELLA_SELLACIOUS_PRODUCT_APPLICATION_ON_CHECKOUT'); ?>
								</h4>
								<div class="offerslist">
									<?php
									foreach ($offers as $offer)
									{
										$lang_key = 'COM_SELLACIOUS_PRODUCT_OFFER_ITEM_TEXT' . ($offer->inclusive && $offer->apply_rule_on_price_display ? '_INCLUSIVE' : '');
										echo '<div class="offerblock">' . JText::sprintf($lang_key, $offer->title) . '</div>';
									}
									?>
								</div>
							</div>
							<div class="clearfix"></div>
						</div>
					<?php endif; ?>
					<div class="sell-col-sm-12">
						<?php echo $this->loadTemplate('sharer'); ?>
					</div>
				</div>
				<div class="clearfix"></div>
			</div>

			<?php if ($item->get('introtext')): ?>
				<p class="introtext"><?php echo nl2br($item->get('introtext')); ?></p>
			<?php endif; ?>

			<div class="productfeatures">
				<?php
					if (in_array('product', (array) $this->helper->config->get('product_features_list'))):
						$features = array_filter((array) json_decode($item->get('variant_features'), true), 'trim');

						if (!$features):
							$features = array_filter((array) json_decode($item->get('features'), true), 'trim');
						endif;

						if ($features):
							?><ul class="product-features"><?php
							foreach ($features as $feature):
								echo '<li>' . htmlspecialchars($feature) . '</li>';
							endforeach;
							?></ul><?php
						endif;
					endif;
				?>
			</div>

			<?php if (isset($samplemedia->id) && $samplemedia->id > 0): ?>
				<div class="esamplefile">
					<a download href="<?php echo $samplemedia->path; ?>" class="btn btn-primary">
						<i class="fa fa-download"></i> <?php echo JText::_('COM_SELLACIOUS_PRODUCT_EPRODUCT_DOWNLOAD_SAMPLE'); ?></a>
				</div>
			<?php endif; ?>

			<?php
			if ($allow_checkout && ($item->get('price_display') == 0) && ($item->get('stock_capacity') > 0)):
				$showCartModal = $this->helper->config->get('cart_modal'); ?>
				<hr class="isolate"/>
				<?php if (JPath::find($templatePaths, 'default_cart_attributes.php'))
				{
					echo $this->loadTemplate('cart_attributes');
				}
				?>

				<div class="product_quantityinfo">

					<?php
					if ($showCartModal)
					{
						$options = array(
							'title'    => JText::_('COM_SELLACIOUS_CART_TITLE'),
							'backdrop' => 'static',
						);
						echo JHtml::_('bootstrap.renderModal', 'modal-cart', $options);
					}
					?>
					<div class="quantitybox">
						<label><?php echo JText::_('COM_SELLACIOUS_PRODUCT_BUY_QUANTITY_INPUT_LABEL'); ?>
							<input type="number" name="quantity" id="product-quantity" min="1"
								data-uid="<?php echo $item->get('code') ?>" value="1"/>
						</label>
						<span class="available-stock"><i class="fa fa-check-circle" aria-hidden="true"></i> <?php echo (int) $item->get('stock_capacity') ?> <?php echo JText::_('COM_SELLACIOUS_PRODUCT_IN_STOCK'); ?></span>
					</div>
				</div>
			<?php endif; ?>

			<?php echo $this->loadTemplate('variant_switcher'); ?>

			<?php if ($item->get('price_display') == 0): ?>
				<div id="buy-now-box">
					<?php $btnClass = $item->get('stock_capacity') > 0 ? 'btn-add-cart' : ' disabled'; ?>
					<div class="row">
						<?php if ($allow_checkout && in_array('product', $cart_pages)): ?>
							<div class="col-xxs-12 col-xs-6">
								<button type="button" class="btn btn-default btn-cart <?php echo $btnClass ?>" data-item="<?php echo $item->get('code') ?>"><?php echo JText::_('COM_SELLACIOUS_PRODUCT_ADD_TO_CART'); ?></button>
							</div>
						<?php endif; ?>
						<?php if ($allow_checkout && in_array('product', $buynow_pages)): ?>
							<div class="col-xxs-12 col-xs-6">
								<button type="button" class="btn btn-primary btn-cart <?php echo $btnClass ?>" data-item="<?php echo $item->get('code') ?>" data-checkout="true"><?php echo JText::_('COM_SELLACIOUS_PRODUCT_BUY_NOW'); ?></button>
							</div>
						<?php endif; ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<hr class="isolate"/>
			<?php endif; ?>

			<?php echo $this->loadTemplate('toolbar'); ?>

			<div class="clearfix"></div>
		</div>
		<div class="clearfix"></div>
	</div>

	<?php if ($item->get('variants')):
		echo $this->loadTemplate('variants', $item);
	endif; ?>

	<div class="clearfix"></div>

	<?php if ($item->get('sellers')):
		echo $this->loadTemplate('sellers');
	endif;

	$pkg_items = $item->get('package_items');

	if ($pkg_items):
		echo $this->loadTemplate('packages', $pkg_items);
	endif; ?>

	<div class="otherinfosection">
		<div class="sell-row">
			<div class="sell-col-md-9 sell-col-sm-8">
				<?php

				$ifspec		= $item->get('specifications');
				$ifdesc		= $item->get('description');
				$ifrating	= $this->helper->config->get('product_rating') && $this->helper->config->get('product_rating_display');

				if ($ifspec || $ifdesc || $ifrating) : ?>
					<div class="otherinfo">
						<ul class="nav nav-tabs tabs-product">
							<?php if ($ifspec):?>
								<li class="<?php echo ($ifspec) ? 'active' : '' ?>"><a href="#product-specs" data-toggle="tab"><?php echo JText::_('COM_SELLACIOUS_PRODUCT_SPECIFICATIONS'); ?></a></li>
							<?php endif; ?>
							<?php if ($ifdesc):?>
								<li class="<?php echo (!$ifspec) ? 'active' : '' ?>"><a href="#product-desc" data-toggle="tab"><?php echo JText::_('SELLA_SELLACIOUS_PRODUCT_DESCRIPTION'); ?></a></li>
							<?php endif; ?>
							<?php if ($ifrating):?>
								<li class="<?php echo (!$ifspec && !$ifdesc && $ifrating) ? 'active' : ''?>"><a href="#product-reviews" data-toggle="tab"><?php echo JText::_('SELLA_SELLACIOUS_PRODUCT_REVIEWS'); ?></a></li>
							<?php endif; ?>
						</ul>
						<div class="tab-content">
							<?php if ($ifspec):?>
								<div class="tab-pane fade <?php echo ($ifspec) ? 'in active' : '' ?>" id="product-specs">
									<?php echo $this->loadTemplate('specifications'); ?>
								</div>
							<?php endif;
							if ($ifdesc):?>
								<div class="tab-pane fade <?php echo (!$ifspec) ? 'in active' : '' ?>" id="product-desc">
									<div class="innerdesc">
										<?php echo $item->get('description') ?>
									</div>
								</div>
							<?php endif;
							if ($ifrating):?>
								<div class="tab-pane fade <?php echo (!$ifspec && !$ifdesc && $ifrating) ? 'in active' : '' ?>" id="product-reviews">
									<div class="reviewsandratings">
										<?php echo $this->loadTemplate('ratings'); ?>
									</div>
								</div>
							<?php endif;?>
						</div>

						<!-- Accordian for mobile -->

						<div class="panel-group productaccord" role="tablist" id="accordion" aria-multiselectable="true">
							<?php if ($ifspec):?>
								<div class="panel">
									<div class="panel-heading" role="tab" id="headingspecs">
										<h4 class="panel-title">
											<a href="#accordspecs" data-toggle="<?php echo ($ifspec) ? 'collapse' : 'collapsed' ?>" data-parent="#accordion"
											   aria-expanded="true" aria-controls="accordspecs"><?php echo JText::_('COM_SELLACIOUS_PRODUCT_SPECIFICATIONS'); ?></a>
										</h4>
									</div>
									<div class="collapse panel-collapse <?php echo ($ifspec) ? 'in' : '' ?>" role="tabpanel" id="accordspecs" aria-labelledby="headingspecs">
										<div class="panel-body">
											<?php echo $this->loadTemplate('specifications'); ?>
										</div>
									</div>
								</div>
							<?php endif; ?>

							<?php if ($ifdesc):?>
								<div class="panel">
									<div class="panel-heading" role="tab" id="headingdesc">
										<h4 class="panel-title">
											<a href="#accorddesc" class="<?php echo (!$ifspec && $ifdesc) ? '' : 'collapsed' ?>" data-toggle="<?php echo ($ifdesc) ? 'collapse' : 'collapsed' ?>" data-parent="#accordion"
											   aria-expanded="false" aria-controls="accorddesc"><?php echo JText::_('SELLA_SELLACIOUS_PRODUCT_DESCRIPTION'); ?></a>
										</h4>
									</div>
									<div class="collapse panel-collapse <?php echo (!$ifspec && $ifdesc) ? 'in' : '' ?>" role="tabpanel" id="accorddesc" aria-labelledby="headingdesc">
										<div class="panel-body">
											<?php echo $item->get('description') ?>
										</div>
									</div>
								</div>
							<?php endif; ?>

							<?php if ($ifrating):?>
								<div class="panel">
									<div class="panel-heading" role="tab" id="headingreview">
										<h4 class="panel-title">
											<a href="#accordreview" class="<?php echo (!$ifspec && !$ifdesc && $ifrating) ? '' : 'collapsed' ?>" data-toggle="<?php echo ($ifrating) ? 'collapse' : 'collapsed' ?>" data-parent="#accordion"
											   aria-expanded="false" aria-controls="accordreview"><?php echo JText::_('SELLA_SELLACIOUS_PRODUCT_REVIEWS'); ?></a>
										</h4>
									</div>
									<div class="collapse panel-collapse <?php echo (!$ifspec && !$ifdesc && $ifrating) ? 'in' : '' ?>" role="tabpanel" id="accordreview" aria-labelledby="headingreview">
										<div class="panel-body">
											<div class="reviewsandratings">
												<?php echo $this->loadTemplate('ratings'); ?>
											</div>
										</div>
									</div>
								</div>
							<?php endif; ?>
						</div>

					</div>
				<?php endif; ?>
			</div>

			<div class="col-md-3 col-sm-4" >
				<?php if($marketPlace && count($item->get('sellers')) > 1): ?>
					<div class="product-sellers-count">
						<a href="#sellers-link">
						<i class="fa fa-location-arrow"></i>
						<?php echo JText::plural('COM_SELLACIOUS_PRODUCT_SELLER_COUNT_N_DESC', count($item->get('sellers'))); ?>
						</a>
					</div>
					<div class="clearfix"></div>
				<?php endif; ?>

				<?php if ($item->get('whats_in_box')): ?>
					<div class="moreinfo-box">
						<h3><?php echo JText::_('COM_SELLACIOUS_PRODUCT_WHAT_IN_BOX'); ?></h3>
						<div class="innermoreinfo">
							<div class="moreinner">
								<?php echo $item->get('whats_in_box') ?>
							</div>
						</div>
					</div>
				<?php endif; ?>

				<?php
				$showlisting          = $this->helper->config->get('show_allowed_listing_type');
				$allowed_listing_type = (array) $this->helper->config->get('allowed_listing_type');
				$conditionbox         = ($showlisting && (count($allowed_listing_type) != 1));
				$exchangeReturn       = ($item->get('exchange_days')) || ($item->get('return_days'));
				?>

				<?php if ($marketPlace || $conditionbox || $exchangeReturn): ?>
					<div class="product-actions">
						<?php if($marketPlace): ?>
							<div class="seller-details">
								<div class="sellername">
									<?php echo JText::_('SELLA_SELLACIOUS_PRODUCT_SELLER') . ':'; ?>
									<a href="<?php echo JRoute::_('index.php?option=com_sellacious&view=store&id=' . $item->get('seller_uid')); ?>">
										<?php echo $item->get('seller_store', $item->get('seller_name', $item->get('seller_company', $item->get('seller_username')))); ?></a>
									<?php if ($this->helper->config->get('show_seller_rating')): ?>
										<?php $rating = $item->get('seller_rating.rating'); ?>
										<span class="label <?php echo ($rating < 3) ? 'label-warning' : 'label-success' ?>"><?php echo number_format($rating, 1) . JText::_('SELLA_SELLACIOUS_PRODUCT_OUT_OF_RATING'); ?></span>
									<?php endif; ?>
								</div>
							</div>
						<?php endif; ?>

						<?php if ($showlisting): ?>
							<?php $allowed_listing_type = (array) $this->helper->config->get('allowed_listing_type'); ?>
							<?php if (count($allowed_listing_type) != 1): ?>
								<span class="label label-info margin-top-10"><?php echo JText::_('COM_SELLACIOUS_PRODUCT_CONDITION'); ?>
									<?php
									$list_type = $item->get('listing_type');

									// What if this is a not allowed listing type value
									if ($list_type == 1):
										echo JText::plural('COM_SELLACIOUS_PRODUCT_FIELD_LISTING_TYPE_VALUE', $list_type);
									else:
										$list_cond = $item->get('item_condition');
										echo JText::plural('COM_SELLACIOUS_PRODUCT_FIELD_ITEM_CONDITION_VALUE', $list_type * 10 + (int) $list_cond);
									endif;
									?>
								</span>
							<?php endif; ?>
						<?php endif; ?>

						<?php if ($exchangeReturn): ?>
							<div class="exchange_box">
								<?php if ($item->get('exchange_days')): ?>
									<?php if ($item->get('exchange_tnc')):
										$options = array(
											'title'    => JText::sprintf('COM_SELLACIOUS_PRODUCT_EXCHANGE_REPLACEMENT_GUARANTEE_DAYS_N', (int) $item->get('exchange_days')),
											'backdrop' => 'static',
										);
										echo JHtml::_('bootstrap.renderModal', 'exchange_tnc', $options, $item->get('exchange_tnc'));
									endif; ?>
									<div class="replacement-info">
										<i class="fa fa-refresh"></i>
										<?php echo JText::sprintf('COM_SELLACIOUS_PRODUCT_EXCHANGE_REPLACEMENT_GUARANTEE_DAYS_N', (int) $item->get('exchange_days')); ?>
										<?php if ($item->get('exchange_tnc')): ?>
											<a href="#exchange_tnc" role="button" data-toggle="modal">[<i class="fa fa-question"></i>]</a>
										<?php endif; ?>
									</div>
								<?php endif; ?>

								<?php if ($item->get('return_days')): ?>
									<?php if ($item->get('return_tnc')):
										$options = array(
											'title'    => JText::sprintf('COM_SELLACIOUS_PRODUCT_EXCHANGE_EASY_RETURN_DAYS_N', (int) $item->get('return_days')),
											'backdrop' => 'static',
										);
										echo JHtml::_('bootstrap.renderModal', 'return_tnc', $options, $item->get('return_tnc'));
									endif; ?>
									<div class="replacement-info">
										<i class="fa fa-refresh"></i>
										<?php echo JText::sprintf('COM_SELLACIOUS_PRODUCT_EXCHANGE_EASY_RETURN_DAYS_N', (int) $item->get('return_days')); ?>
										<?php if ($item->get('return_tnc')): ?>
											<a href="#return_tnc" role="button" data-toggle="modal">[<i class="fa fa-question"></i>]</a>
										<?php endif; ?>
									</div>
								<?php endif; ?>
							</div>
						<?php endif; ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>

	<?php if ($this->isReviewAllowed): ?>
		<div class="moreinfo-box">
			<h3><?php echo JText::_('COM_SELLACIOUS_WRITE_A_REVIEW'); ?></h3>
			<div class="innermoreinfo">
				<?php echo $this->loadTemplate('rating'); ?>
			</div>
			<?php
			if ($this->helper->config->get('show_product_reviews') == '1')
			{
			echo $this->loadTemplate('reviews');
			}
			?>
		</div>
	<?php endif;

	if ($this->helper->config->get('product_questions')): ?>
		<div class="questionarea-box moreinfo-box">
			<h3><?php echo JText::_('COM_SELLACIOUS_PRODUCT_QUESTION_ASK') ?></h3><?php
			echo $this->loadTemplate('question');
			echo $this->loadTemplate('questions'); ?>
		</div>
	<?php endif;

	jimport('joomla.application.module.helper');
	$modules = JModuleHelper::getModules('product-detail-bottom');
	foreach ($modules as $module):
		$renMod = JModuleHelper::renderModule($module);

		if (!empty($renMod) && ($module->module == "mod_sellacious_relatedproducts")):?>
			<div class="relatedproducts <?php echo (isset($module->class_sfx)) ? $module->class_sfx : ''; ?>">
				<div class="moreinfo-box">
					<?php
					if ($module->showtitle == 1) { ?>
						<h3><?php echo $module->title ?></h3>
					<?php } ?>
					<div class="innermoreinfo">
						<div class="relatedinner">
							<?php echo trim($renMod); ?>
						</div>
					</div>
				</div>
			</div>
		<?php else: ?>
			<div class="product-bottom <?php echo (isset($module->class_sfx)) ? $module->class_sfx : ''; ?>">
				<?php echo trim($renMod); ?>
			</div>
		<?php endif; ?>

	<?php endforeach; ?>
</div>
