<?php
/**
 * @version     1.7.3
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2019 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die;

/** @var   SellaciousViewProduct $this */
JHtml::_('stylesheet', 'com_sellacious/util.bootstrap-progress.css', null, true);
JHtml::_('script', 'com_sellacious/util.readmore-text.js', true, true);

$max_reviews = $this->helper->config->get('number_of_product_reviews');
$reviews     = $this->getReviews($max_reviews);
$item        = $this->item;
?>
<div class="reviewslist">
	<?php
	foreach ($reviews as $review): ?>
		<div class="row nomargin">
			<div class="col-xs-3 col-xxs-12 nopadd">
				<div class="reviewauthor">
					<div class="rating-stars rating-stars-md star-<?php echo $review->rating * 2 ?>">
						<span class="starcounts"><?php echo number_format($review->rating, 1); ?></span>
					</div>
					<h4 class="pr-author"><?php echo $review->author_name ?></h4>
					<h5 class="pr-date"><?php echo JHtml::_('date', $review->created, 'M d, Y'); ?></h5>
					<?php if ($review->buyer == 1): ?>
						<div class="buyer-badge"><?php echo JText::_('COM_SELLACIOUS_PRODUCT_CERTIFIED_BUYER'); ?></div>
					<?php endif; ?>
				</div>
			</div>
			<div class="col-xs-9 col-xxs-12 nopadd">
				<div class="reviewtyped">
					<h3 class="pr-title"><?php echo $review->title ?></h3>
					<p class="pr-body"><?php echo $review->comment ?></p>
				</div>
			</div>
		</div>
	<?php
	endforeach;
	?>
	<div class="read-all-link-box">
		<a class="text-info" href="index.php?option=com_sellacious&view=reviews&product_id=<?php echo $item->get('id') ?>">Read ALL</a>
	</div>
</div>
