<?php
/**
 * @version     1.7.3
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2019 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die;

/** @var SellaciousViewUser $this */

JHtml::_('jquery.framework');
JHtml::_('script', 'com_sellacious/util.noframes.js', false, true);

JHtml::_('behavior.keepalive');
JHtml::_('bootstrap.loadCss');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.formvalidator');

JText::script('COM_SELLACIOUS_VALIDATION_FORM_FAILED');

JHtml::_('script', 'com_sellacious/util.validator-mobile.js', false, true);
JHtml::_('stylesheet', 'com_sellacious/font-awesome.min.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/fe.component.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/fe.view.profile.css', null, true);

$fieldsets = $this->form->getFieldsets();
$accordion = array('parent' => true, 'toggle' => false, 'active' => 'profile_accordion_basic');

echo JHtml::_('bootstrap.startAccordion', 'profile_accordion', $accordion);
?>
<form action="<?php echo JUri::getInstance()->toString(); ?>"
	method="post" name="adminForm" id="adminForm" class="form-validate form-horizontal" enctype="multipart/form-data">

	<a href="<?php echo JRoute::_('index.php?option=com_sellacious&view=addresses'); ?>"
	   class="btn btn-primary pull-right"><?php echo JText::_('COM_SELLACIOUS_ADDRESSES_MANAGE_LABEL') ?></a>
	<div class="clearfix"></div>
	<br>

	<?php foreach ($fieldsets as $key => $fieldset): ?>
		<?php
		if ($fieldset->name == 'captcha')
		{
			continue;
		}
		?>
		<?php $fields = $this->form->getFieldset($fieldset->name); ?>
		<?php if (array_filter($fields, function ($field) { return !$field->hidden; })): ?>
		<?php echo JHtml::_('bootstrap.addSlide', 'profile_accordion', JText::_($fieldset->label), 'profile_accordion_' . $key, 'accordion'); ?>
		<div class="accordianinnerbody">
			<div class="row profileform">
				<?php
				foreach ($fields as $field):
					if ($field->hidden):
						echo $field->input;
					else: ?>
						<div class="col-sm-12">
							<?php if ($field->label && (!isset($fieldset->width) || $fieldset->width < 12)): ?>
								<div class="form-group">
									<?php echo $field->label ?>
									<?php echo $field->input ?>
								</div>
							<?php else: ?>
								<div class="form-group"><?php echo $field->input ?></div>
							<?php endif; ?>
						</div>
					<?php
					endif;
				endforeach;
				?>
			</div>
		</div>

		<div class="clearfix"></div>
		<?php echo JHtml::_('bootstrap.endSlide'); ?>
		<?php endif; ?>
	<?php endforeach; ?>
	<div class="accordionsubmitbtn">
		<button type="submit" class="btn btn-primary"><?php echo strtoupper(JText::_('COM_SELLACIOUS_SAVE')); ?></button>
	</div>

	<div class="form-group captchabox">
		<div class="captcha-input">
			<?php echo $this->form->getInput('captcha'); ?>
		</div>
	</div>


	<input type="hidden" name="task" value="profile.save"/>
	<?php echo JHtml::_('form.token'); ?>

</form>

<?php echo JHtml::_('bootstrap.endAccordion'); ?>
<div class="clearfix"></div>
