<?php
/**
 * @version     1.7.3
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2019 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die;

/** @var  stdClass   $displayData */
/** @var  stdClass[] $methods */
$methods = $displayData->methods;
?>
<div id="payment-methods">
	<?php
	if (count($methods))
	{
		$active = reset($methods);

		?>
		<div class="tabbable tabs-left">
			<ul class="nav nav-tabs">
				<?php foreach ($methods as $i => $method): ?>
					<?php if (isset($method->form) && $method->form instanceof JForm): ?>
					<li class="<?php  echo $i ? '' : 'active'  ?>">
						<a href="#pay-tab_<?php echo $i ?>" data-toggle="tab"><?php echo $method->title; ?></a></li>
					<?php endif; ?>
				<?php endforeach; ?>
			</ul>
			<div class="tab-content">
				<?php
				foreach ($methods as $i => $method):
					if (isset($method->form) && $method->form instanceof JForm):
					?><div class="tab-pane <?php echo $i ? '' : 'active' ?>" id="pay-tab_<?php echo $i ?>"><?php

						// A plugin may need additional script, logic, validation etc. In such case they may require layout override.
						$override = isset($method->layout) && is_file($method->layout);
						$file     = $override ? basename($method->layout, '.php') : 'com_sellacious.payment.form';
						$dir      = $override ? dirname($method->layout) : '';

						echo JLayoutHelper::render($file, $method, $dir);

					?></div><?php
					endif;
				endforeach;
				?>
			</div>
		</div>
		<div class="clearfix"></div>
		<?php
	}
	else
	{
		echo '<div class="center">';
		echo JText::_('COM_SELLACIOUS_CART_PAYMENT_METHOD_NOT_AVAILABLE');
		echo '</div>';
	}
	?>
</div>
