<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_cache
 *
 * @copyright   Copyright (C) 2005 - 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$user = JFactory::getUser();
$cart = $displayData["cart"];

JHtml::_('stylesheet', 'com_sellaciousopc/fe.layout.account.css', null, true);
JHtml::_('script', 'com_sellaciousopc/fe.layout.account.js', false, true);
?>
<div id="cart-opc-account" class="cart-opc">
	<div class="legend"><?php echo JText::_('COM_SELLACIOUSOPC_CART_CHECKOUT_USER_ADDRESS_LABEL') ?></div>
	<div class="formcheckout">
		<input type="hidden" id="login_user_id" value="<?php echo $user->id ?>"/>
		<input type="hidden" id="is_guest_checkout" value="<?php echo (int) $cart->getParam('guest_checkout') ?>"/>

		<div id="login_email-row" class="formfield">
			<label for="login_email" class="label-inline hidden-xxs"><?php
				echo JText::_('COM_SELLACIOUS_CART_AIO_CHECKOUT_INPUT_EMAIL') ?></label>

			<div class="row">
				<div class="col-xs-9 col-sm-8">
					<input type="email" id="login_email" value="<?php echo $this->escape($user->email) ?>"
						   placeholder="<?php echo JText::_('COM_SELLACIOUS_CART_AIO_CHECKOUT_INPUT_EMAIL', true) ?>"/>
				</div>
				<div class="col-xs-3 col-sm-4 text-right">
					<button class="btn btn-primary hidden" id="login_email_submit"><span class="hidden-xxs"><?php
							echo JText::_('COM_SELLACIOUS_CART_AIO_CHECKOUT_BTN_EMAIL_SUBMIT') ?></span> <i class="fa fa-arrow-right"></i></button>
					<button class="btn btn-default hidden" id="login_email_change"><span class="hidden-xxs"><?php
							echo JText::_('COM_SELLACIOUS_CART_AIO_CHECKOUT_BTN_EMAIL_CHANGE') ?></span> <i class="fa fa-undo"></i></button>
					<button class="btn btn-danger hidden" id="login_logout"><span class="hidden-xxs"><?php
							echo JText::_('COM_SELLACIOUS_CART_AIO_CHECKOUT_BTN_LOGOUT') ?></span> <i class="fa fa-arrow-right"></i></button>
					<button id="guest_checkout-info" class="btn btn-danger btn-edit"><span class="hidden-xxs"><?php
							echo JText::_('COM_SELLACIOUS_CART_AIO_GUEST_CHECKOUT_LABEL'); ?></span> <i class="fa fa-edit"></i></button>
				</div>
			</div>
		</div>

		<div id="login_passwd-row" class="formfield hidden">
			<label for="login_passwd" class="label-inline hidden-phone"><?php
				echo JText::_('COM_SELLACIOUS_CART_AIO_CHECKOUT_INPUT_PASSWORD') ?></label>

			<div class="row">
				<div class="col-xs-9 col-sm-8">
					<input type="password" id="login_passwd"/>
				</div>
				<div class="col-xs-3 col-sm-4 text-right">
					<button class="btn btn-success" id="login_password_submit"><span class="hidden-phone"><?php
						echo JText::_('COM_SELLACIOUS_CART_AIO_CHECKOUT_BTN_ACCOUNT_LOGIN') ?> </span><i class="fa fa-lock"></i></button>
				</div>
			</div>
			<a id="login_reset" href="<?php echo JText::_('index.php?option=com_users&view=reset'); ?>">
				<?php echo JText::_('COM_SELLACIOUS_CART_AIO_CHECKOUT_BTN_ACCOUNT_LOST_PASSWORD') ?></a>
		</div>

		<div class="account-register">
			<button class="btn btn-info hidden" id="btn_guest_checkout"><?php
				echo JText::_('COM_SELLACIOUS_CART_AIO_CHECKOUT_BTN_GUEST_CHECKOUT') ?> <i class="fa fa-user-secret"></i></button>
			<button class="btn btn-success hidden" id="login_email_register"><?php
				echo JText::_('COM_SELLACIOUS_CART_AIO_CHECKOUT_BTN_ACCOUNT_REGISTER') ?> <i class="fa fa-arrow-right"></i></button>


		</div>


		<div class="clearfix"></div>
	</div>
	<div class="clearfix"></div>
	<div class="section-overlay"></div>
</div>
