<?php
/**
 * @version     1.7.3
 * @package     Sellacious Cart Module
 *
 * @copyright   Copyright (C) 2012-2019 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Bhavika Matariya <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.framework');
JHtml::_('jquery.framework');

JHtml::_('script', 'mod_sellacious_cart/show-cart.js', null, true);
JHtml::_('script', 'com_sellacious/util.cart.aio.js', false, true);

JHtml::_('stylesheet', 'mod_sellacious_cart/style.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/fe.component.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/font-awesome.min.css', null, true);
JHtml::_('stylesheet', 'com_sellacious/fe.view.cart.aio.css', null, true);

$showCartModal = $helper->config->get('cart_modal');

if ($showCartModal)
{
	$options = array(
		'title'    => JText::_('MOD_SELLACIOUS_CART_TITLE'),
		'backdrop' => 'static',
	);
}
JText::script('MOD_SELLACIOUS_CART_PLUS_TAXES');
JText::script('MOD_SELLACIOUS_CART_EMPTY_CART_NOTICE');
JText::script('COM_SELLACIOUS_CART_CONFIRM_CLEAR_CART_ACTION_MESSAGE');

if ($showCartModal)
{
?>
<script>
jQuery(document).ready(function ($) {
	if ($('#modal-cart').length == 0) {
		var $html = <?php echo json_encode(JHtml::_('bootstrap.renderModal', 'modal-cart', $options)); ?>;
		$('body').append($html);
	}
});
</script>
<?php } ?>
<div class="mod-sellacious-cart <?php echo $class_sfx; ?>" id="mod-sellacious-cart">
	<div id="carticon">
		<i class="fa fa-shopping-bag"></i> <span class="mod-total-products btn-primary">0</span>
	</div>

	<div class="yourcartitems">
		<div class="cartheader">
			<h3><?php echo JText::_('SELLA_SELLACIOUS_YOUR_CART'); ?> (<span class="countproducts">0</span>)</h3>
			<span id="closecart" class="icon-plus"></span>
		</div>
		<div class="yourcartinner">
			<div class="cartitems">
				<div class="products-list">
					<span><?php echo JText::_('MOD_SELLACIOUS_CART_PLEASE_WAIT'); ?></span>
				</div>
			</div>
			<div class="yourcartcostsarea">
				<div class="cartcostdisclaimer"></div>
				<div class="yourcart-total">
					<?php if ($showCartModal): ?>
						<button class="btn btn-default" id="btn-modal-cart" data-token="<?php echo JSession::getFormToken(); ?>">
							<?php echo JText::_('MOD_SELLACIOUS_CART_SHOW_CART'); ?>
						</button>
					<?php else: ?>
						<a class="btn btn-default" href="<?php echo JRoute::_('index.php?option=com_sellacious&view=cart');?>">
							<?php echo JText::_('MOD_SELLACIOUS_CART_SHOW_CART'); ?>
						</a>
					<?php endif; ?>

					<span class="mod-grand-total"></span>
					<div class="clearfix"></div>
				</div>
			</div>
		</div>
	</div>
	<input type="hidden" name="<?php echo JSession::getFormToken() ?>" id="formToken" value="1"/>
	<div class="clearfix"></div>

	<noscript>
		<?php echo JText::_('MOD_SELLACIOUS_CART_JAVASCRIPT') ?>
	</noscript>
</div>
