<?php
/**
 * @version     1.7.3
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2019 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
// No direct access
defined('_JEXEC') or die;

/**
 * @package  Js Kart Package Installer
 *
 * @since    1.7.3
 */
class pkg_jskart_helix3InstallerScript
{
	/**
	 * After install/uninstall/update
	 *
	 * @param   string              $type
	 * @param   \JInstallerAdapter  $parent
	 *
	 *
	 * @since   1.7.3
	 */
	function postflight($type, $parent)
	{
		if ($type == 'install')
		{
			/** @var   SimpleXMLElement  $manifest */
			$manifest = $parent->getParent()->manifest;
			$db       = JFactory::getDbo();

			foreach ($manifest->files->file as $file)
			{
				$query = $db->getQuery(true);

				$query->update('#__extensions')
					->set('enabled = 1')
					->where('type = ' . $db->q('plugin'))
					->where('folder = ' . $db->q($file['group']))
					->where('element = ' . $db->q($file['id']));

				$db->setQuery($query)->execute();
			}
		}
	}
}
